- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Protected Member Functions

# FbxEventBase Class Reference

Search for all occurrences

## Detailed Description

FBX SDK event base class.

An event is something that is emitted by an emitter, with the goal of being filled by the listener that listen to it. You can see that like a form that you send to some people. If those people know how to fill the form, they fill it and return it to you with the right information in it. FBX object could be used as emitter, since FbxObject is derived from FbxEmitter. Meanwhile, plug-in could be used as listener, since FbxPlugin is derived from FbxListener. The derived class of FbxEventBase contains a type ID to distinguish different types of events. FBX object can emit different types of FBX events at different conditions.

The whole process of event is:
  - 1. Create an emitter and a listener, then bind them together via the same event handler.
  - 2. Emitter can emit an event at certain conditions. The event could be handled by event handler.
  - 3. Once an event is emitted, the listener to this event will receive a signal.
  - 4. And then the listener could process the event data according to the types of event, by calling event handler.

Note:
  The event data is process by the callback function of event handler. For example, if a certain property of a FBX object is changed, the FBX object(emitter) can emit an event which type is FbxObjectPropertyChanged. The plug-in(listener) who are listening to FbxObjectPropertyChanged, will receive a signal and take action to process the event data.

See also:
  FbxEvent FbxEventHandler FbxListener FbxEmitter

Definition at line 42 of file fbxevent.h.

`#include <fbxevent.h>`

Inheritance diagram for FbxEventBase:
[legend]

List of all members.

## Public Member Functions
virtual int | GetTypeId () const =0
| Retrieve the event type ID.
virtual const char * | GetEventName () const =0
| Force events to give us a name.
## Static Protected Member Functions
static int | GetStaticTypeId (char const *)
## Constructor and Destructor
virtual | ~FbxEventBase ()
| Destructor.

## Constructor & Destructor Documentation

virtual ~FbxEventBase | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual int GetTypeId | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Retrieve the event type ID.

Returns:
  type id

Implemented in FbxEvent< T >, FbxEvent< FbxEventWriteLocalization >, FbxEvent< FbxEventPostExport >, FbxEvent< FbxEventUpdateSystemLibrary >, FbxEvent< FbxEventPreExport >, FbxEvent< FbxEventReferencedDocument >, FbxEvent< FbxEventPopulateSystemLibrary >, FbxEvent< FbxQueryEvent< QueryT > >, FbxEvent< FbxEventPreImport >, FbxEvent< FbxEventPostImport >, FbxEvent< FbxObjectPropertyChanged >, and FbxEvent< FbxEventMapAssetFileToAssetObject >.

virtual const char* GetEventName | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Force events to give us a name.

Returns:
  event name

static int GetStaticTypeId | ( | char const * |  | ) | `[static, protected]`

Search for all occurrences

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxevent.h

FbxEventBase FbxEventBase FbxEventBase FbxEventBase FbxEventBase FbxEventBase FbxEventBase FbxEventBase FbxEventBase FbxEventBase
FbxEventBase FbxEventBase FbxEventBase FbxEventBase FbxEventBase FbxEventBase FbxEventBase FbxEventBase FbxEventBase FbxEventBase